Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::common::PrintDeviceSettingData Class Reference

Inherits Object.

## Public Types
enum | OrientationFlag { e_Portrait = 0, e_Landscape = 1 }
| Enumeration for specifying the orientation of the printer. More...

## Public Member Functions
| PrintDeviceSettingData ()
| Constructor and set the default value. More...
| PrintDeviceSettingData (const PrintDeviceSettingData &settings)
| Constructor, with another print device setting data object. More...
| PrintDeviceSettingData (int device_width, int device_height, RectF device_margin, OrientationFlag orientation, int resolution, uint32 copies)
| Constructor, with parameters. More...
PrintDeviceSettingData & | operator= (const PrintDeviceSettingData &settings)
| Assign operator. More...
void | Set (int device_width, int device_height, RectF device_margin, OrientationFlag orientation, int resolution, uint32 copies)
| Set value. More...

## Public Attributes
uint32 | copies
| The number of copies to be printed. This parameter only has an effect on PostScrip files.
int | device_height
| The height of the device in pixels.
RectF | device_margin
| The page margins of the device. More...
int | device_width
| The width of the device in pixels.
OrientationFlag | orientation
| Orientation flag. Please refer to values starting from OrientationFlag::e_Portrait and this should be one of these values.
int | resolution
| The resolution of the device in pixels per inch.

## Detailed Description

This class represents setting data for print device. This would be used in class Renderer.

See also
  Renderer

## Member Enumeration Documentation

## ◆ OrientationFlag

enum foxit::common::PrintDeviceSettingData::OrientationFlag

Enumeration for specifying the orientation of the printer.

Values of this enumeration should be used alone.

Enumerator
e_Portrait | Portrait orientation for printing.
e_Landscape | Landscape orientation for printing.

## Constructor & Destructor Documentation

## ◆ PrintDeviceSettingData() [1/3]

foxit::common::PrintDeviceSettingData::PrintDeviceSettingData | ( | int | device_width,
|  | int | device_height,
|  | RectF | device_margin,
|  | OrientationFlag | orientation,
|  | int | resolution,
|  | uint32 | copies
| ) |  |
| inline explicit

Constructor, with parameters.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from OrientationFlag::e_Portrait and this should be one of these values.
  [in] | resolution | The resolution of the device in pixels per inch.
  [in] | copies | The number of copies to be printed. This parameter only has an effect on PostScrip files.

## ◆ PrintDeviceSettingData() [2/3]

foxit::common::PrintDeviceSettingData::PrintDeviceSettingData | ( |  | ) |
| inline

Constructor and set the default value.

By default, the pixel value of an A4 paper is set to 300 dpi (dots per inch).

## ◆ PrintDeviceSettingData() [3/3]

foxit::common::PrintDeviceSettingData::PrintDeviceSettingData | ( | const PrintDeviceSettingData & | settings | ) |
| inline

Constructor, with another print device setting data object.

Parameters

  [in] | settings | Another print device settings object.

## Member Function Documentation

## ◆ operator=()

PrintDeviceSettingData& foxit::common::PrintDeviceSettingData::operator= | ( | const PrintDeviceSettingData & | settings | ) |
| inline

Assign operator.

Parameters

  [in] | settings | Another print device setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::common::PrintDeviceSettingData::Set | ( | int | device_width,
|  | int | device_height,
|  | RectF | device_margin,
|  | OrientationFlag | orientation,
|  | int | resolution,
|  | uint32 | copies
| ) |  |
| inline

Set value.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from OrientationFlag::e_Portrait and this should be one of these values.
  [in] | resolution | The resolution of the device in pixels per inch.
  [in] | copies | The number of copies to be printed. This parameter only has an effect on PostScrip files.

Returns
  None.

## Member Data Documentation

## ◆ device_margin

RectF foxit::common::PrintDeviceSettingData::device_margin

The page margins of the device.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device. The value should not be negative.